/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { ICustomElementFoundation } from '@tylertech/forge-core';
import { FieldDensityType } from '../field/field-constants';
import { ILabelValueAdapter } from './label-value-adapter';
import { LabelValueAlignment } from './label-value-constants';
export interface ILabelValueFoundation extends ICustomElementFoundation {
    empty: boolean;
    ellipsis: boolean;
    density: FieldDensityType;
    align: LabelValueAlignment;
}
export declare class LabelValueFoundation implements ILabelValueFoundation {
    private _adapter;
    private _empty;
    private _ellipsis;
    private _density;
    private _align;
    constructor(_adapter: ILabelValueAdapter);
    initialize(): void;
    private _applyDensity;
    get empty(): boolean;
    set empty(value: boolean);
    get ellipsis(): boolean;
    set ellipsis(value: boolean);
    get density(): FieldDensityType;
    set density(value: FieldDensityType);
    get align(): LabelValueAlignment;
    set align(value: LabelValueAlignment);
}
